// HWRECT.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "HWRECT.h"
#include "AboutDlg.h"

#include "MainFrm.h"
#include "HWRECTDoc.h"
#include "HWRECTView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHWRECTApp

BEGIN_MESSAGE_MAP(CHWRECTApp, CWinApp)
	//{{AFX_MSG_MAP(CHWRECTApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	ON_COMMAND(ID_HELP_ABOUT, OnHelpAbout)
	ON_COMMAND(ID_GAME_EXIT, OnGameExit)
	//}}AFX_MSG_MAP
	// Standard file based document commands
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHWRECTApp construction

CHWRECTApp::CHWRECTApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CHWRECTApp object

CHWRECTApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CHWRECTApp initialization

BOOL CHWRECTApp::InitInstance()
{
	AfxEnableControlContainer();

	// Standard initialization

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	// Change the registry key under which our settings are stored.
	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	LoadStdProfileSettings();  // Load standard INI file options (including MRU)

	// Register document templates

	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CHWRECTDoc),
		RUNTIME_CLASS(CMainFrame),       // main SDI frame window
		RUNTIME_CLASS(CHWRECTView));
	AddDocTemplate(pDocTemplate);

	// Parse command line for standard shell commands, DDE, file open
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);

	// Dispatch commands specified on the command line
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;
	m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();

	return TRUE;
}


void CHWRECTApp::OnAppAbout()
{
	CAboutDlg dlg;
	dlg.DoModal();
}

/////////////////////////////////////////////////////////////////////////////
// CHWRECTApp commands

void CHWRECTApp::OnHelpAbout() 
{
	CAboutDlg dlg;
	dlg.DoModal();
}

void CHWRECTApp::OnGameExit() 
{
	exit(0);
}
